Skip to main content
GET
/
api
/
approvals
List pending approvals
curl --request GET \
  --url https://app.mandate.md/api/approvals \
  --cookie laravel_session=
{
  "current_page": 123,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "intent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "pending",
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "intent": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "<string>",
        "action": "<string>",
        "reason": "<string>",
        "amount_usd_computed": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "agent": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "wallet_address": "<string>"
      }
    }
  ],
  "last_page": 123,
  "per_page": 20,
  "total": 123
}

Authorizations

laravel_session
string
cookie
required

Laravel Sanctum cookie-based session authentication. Obtained via GitHub OAuth login on the dashboard.

Query Parameters

page
integer
default:1

Page number (20 items per page).

Response

200 - application/json

Paginated list of pending approvals.

current_page
integer
data
object[]
last_page
integer
per_page
integer
Example:

20

total
integer